#if !defined(AFX_HTTPDLG_H__A81F4D19_0EDE_4ABC_B593_5E89576510C3__INCLUDED_)
#define AFX_HTTPDLG_H__A81F4D19_0EDE_4ABC_B593_5E89576510C3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// HttpDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CHttpDlg dialog

class CHttpDlg : public CDialog
{
// Construction
public:
	CHttpDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CHttpDlg)
	enum { IDD = IDD_GENERATE_HTPP };
	CComboBox	m_ctlWebLanguage;
	CComboBox	m_ctlWebType;
	BOOL	m_bCutSpeeddial;
	int		m_iPageNum;
	BOOL	m_bReplaceTitle;
	BOOL	m_bHidePassword;
	int		m_iWebType;
	int		m_iWebLanguage;
	CString	m_strDstDir;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHttpDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:
	int * m_pInfo;
	int m_iInfoNum;
	int m_iSpeedDialIndex;
	int	m_iProtocol;
	CStringList m_strList;

	CString m_strSettingsFile;

	// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CHttpDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnStartConversion();
	afx_msg void OnBrowseSrcfile();
	afx_msg void OnButtonDstDir();
	afx_msg void OnBrowseSettingsfile();
	afx_msg void OnStartConvertSettings();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void SaveSettings();
	void TrimFile(CStdioFile & fileRead, CString & strOuput);
	void GetFileName(CString strInput, CString & strInfoFile, CString & strMsgFile);
	BOOLEAN ConvertFile(CString strInput, CString & strOutput);
	CString UpdateInput(int iType, int iBeginPos);
	BOOLEAN GetItemType(CString strItem, int & iType);
	void GetInfo(int iType, int iPos, int iMaxLen);
	void WriteCommonHeader(CStdioFile & fileWrite, CString strName, int iLength);
	void WriteMsgFile(CStdioFile & fileWrite, CString strName, CString strInput);
	void WrtieInfoFile(CStdioFile & fileWrite, CString strName, CString strInput);
	CString WriteStrInfo(int iType, CString strNew, int iPos, int iMaxLen, int iDisplayLen, unsigned char *p);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HTTPDLG_H__A81F4D19_0EDE_4ABC_B593_5E89576510C3__INCLUDED_)
